# Feeder.js

> Automated feed watcher

[![Build Status](https://travis-ci.org/luii/feeder.svg?branch=master)](https://travis-ci.org/luii/feeder)

### Installation

```bash
$ npm install feeder-js
```

## Features

* You can add multiple feeds to the app
* Portable Feed class
* Easy to handle

## Example

Add a new RSS Feed to the App

Instantiate a new Feeder App

```javascript
var Feeder = require('feeder-js').Feeder
var feeder = new Feeder()
```

Add a RSS Feed to the App

```javascript
feeder.add('testRSS', 'https://github.com/luii/feeder/commits/master.atom')
```

Watch a RSS Feed

```javascript
feeder.watch('testRSS')
```

Stop a RSS Feed Watcher

```javascript
feeder.stop('testRSS')
```

## Tests

To run the test suite, first install the dependencies, then run `npm test`:

```bash
$ npm install
$ npm test
```